stralloc_cats(3)

NAME
stralloc_cats - append data to a stralloc

SYNTAX
#include <stralloc.h> int stralloc_cats(stralloc* sa,const char* buf);

DESCRIPTION
stralloc_cats appends a \0-terminated string from buf to the end of the string stored in sa, allocating space if necessary, and returns 1. If sa is unallocated, stralloc_cats is the same as stralloc_copys. If it runs out of memory, stralloc_cats leaves sa alone and returns 0.

SEE ALSO
stralloc_copyb(3)